> ## Documentation Index
> Fetch the complete documentation index at: https://docs.catalog.igvf.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Enhancer Gene Predictions

> Retrieve genomic elements and gene pairs by querying genomic elements.

Set verbose = true to retrieve full info on the genes, genomic element and biosamples.

**Examples by method**

These examples are grouped by method; use the `method` filter to return data from a specific method.

**CRISPR screen:**

**query by gene identifier**

- gene_id = ENSG00000055950
- method = CRISPR screen

**ENCODE-rE2G:**

**query by gene identifier**

- gene_id = ENSG00000055950
- method = ENCODE-rE2G

**Perturb-seq:**

**query by gene identifier**

- gene_id = ENSG00000055950
- method = Perturb-seq



## OpenAPI

````yaml /openapi/catalog-dev.openapi.json get /enhancer-gene-predictions
openapi: 3.0.3
info:
  title: IGVF Catalog - Development
  description: >-
    Development IGVF Catalog OpenAPI compliant REST API built using tRPC with
    Express.


    Our database uses 0-based, half-open coordinates for genomic coordinates in
    the GRCh38 (human) and GRCm39 (mouse) reference genomes.


    Data is licensed under the Creative Commons license and the software is
    licensed under the MIT license.
  version: 1.2.0 - DEV
servers:
  - url: https://catalog-api-dev.demo.igvf.org/api
security: []
externalDocs:
  url: https://api-dev.catalog.igvf.org/openapi
paths:
  /enhancer-gene-predictions:
    get:
      summary: Enhancer Gene Predictions
      description: >-
        Retrieve genomic elements and gene pairs by querying genomic elements.


        Set verbose = true to retrieve full info on the genes, genomic element
        and biosamples.


        **Examples by method**


        These examples are grouped by method; use the `method` filter to return
        data from a specific method.


        **CRISPR screen:**


        **query by gene identifier**


        - gene_id = ENSG00000055950

        - method = CRISPR screen


        **ENCODE-rE2G:**


        **query by gene identifier**


        - gene_id = ENSG00000055950

        - method = ENCODE-rE2G


        **Perturb-seq:**


        **query by gene identifier**


        - gene_id = ENSG00000055950

        - method = Perturb-seq
      operationId: enhancerGenePredictions
      parameters:
        - name: gene_id
          in: query
          required: false
          schema:
            type: string
        - name: hgnc_id
          in: query
          required: false
          schema:
            type: string
        - name: gene_name
          in: query
          required: false
          schema:
            type: string
        - name: alias
          in: query
          required: false
          schema:
            type: string
        - name: method
          in: query
          required: false
          schema:
            type: string
            enum:
              - CRISPR screen
              - ENCODE-rE2G
              - Perturb-seq
              - scE2G
        - name: files_fileset
          in: query
          required: false
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    gene:
                      type: object
                      properties:
                        name:
                          type: string
                        _id:
                          type: string
                        start:
                          type: number
                        end:
                          type: number
                        chr:
                          type: string
                      required:
                        - name
                        - _id
                        - start
                        - end
                        - chr
                      additionalProperties: false
                    elements:
                      anyOf:
                        - type: array
                          items:
                            type: object
                            properties:
                              id:
                                type: string
                              cell_type:
                                type: string
                                nullable: true
                              score:
                                type: number
                                nullable: true
                              model:
                                type: string
                                nullable: true
                              dataset:
                                type: string
                                nullable: true
                              element_type:
                                type: string
                                nullable: true
                              element_chr:
                                type: string
                                nullable: true
                              element_start:
                                type: number
                                nullable: true
                              element_end:
                                type: number
                                nullable: true
                              name:
                                type: string
                              method:
                                type: string
                              class:
                                type: string
                              files_filesets:
                                type: string
                                nullable: true
                            required:
                              - id
                              - name
                            additionalProperties: false
                        - type: object
                          properties:
                            id:
                              type: string
                            cell_type:
                              type: string
                              nullable: true
                            score:
                              type: number
                              nullable: true
                            model:
                              type: string
                              nullable: true
                            dataset:
                              type: string
                              nullable: true
                            element_type:
                              type: string
                              nullable: true
                            element_chr:
                              type: string
                              nullable: true
                            element_start:
                              type: number
                              nullable: true
                            element_end:
                              type: number
                              nullable: true
                            name:
                              type: string
                            method:
                              type: string
                            class:
                              type: string
                            files_filesets:
                              type: string
                              nullable: true
                          required:
                            - id
                            - name
                          additionalProperties: false
                  required:
                    - gene
                    - elements
                  additionalProperties: false
        default:
          $ref: '#/components/responses/error'
components:
  responses:
    error:
      description: Error response
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
              code:
                type: string
              issues:
                type: array
                items:
                  type: object
                  properties:
                    message:
                      type: string
                  required:
                    - message
                  additionalProperties: false
            required:
              - message
              - code
            additionalProperties: false

````